TableGenerationConfiguration
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.predictions
Class TableGenerationConfiguration

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.engine.predictions.TableGenerationConfiguration

    public abstract class TableGenerationConfiguration

extends java.lang.Object

Constructor Summary
`TableGenerationConfiguration(LogicType logic, AlgorithmType algorithm, java.util.List<Resource> sources, java.lang.String submissionBackend, java.lang.String executionEnvironment, java.lang.String backendUrl, java.util.HashMap<java.lang.String,java.lang.String> configuration, int partitionsNumber, java.lang.String author, java.util.ArrayList<Field> additionalParams, HSPECGroupWorker worker)`

Method Summary
`java.util.ArrayList<Field>` | `getAdditionalParameters()`
`AlgorithmType` | `getAlgorithm()`
`java.lang.String` | `getAuthor()`
`java.lang.String` | `getBackendUrl()`
`java.util.HashMap<java.lang.String,java.lang.String>` | `getConfiguration()`
`java.lang.String` | `getExecutionEnvironment()`
`LogicType` | `getLogic()`
`java.lang.String` | `getMaxMinHspenTable()`
`int` | `getPartitionsNumber()`
`java.util.HashMap<ResourceType,java.util.List<Resource>>` | `getSources()`
`java.lang.String` | `getSubmissionBackend()`
`abstract void` | `notifyError(java.lang.Exception e)`
`abstract void` | `registerGeneratedSourcesCallback(java.util.List<java.lang.String> toRegisterTables)`
`abstract void` | `release(BatchGeneratorI batch)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableGenerationConfiguration

    public TableGenerationConfiguration(LogicType logic,
                                        AlgorithmType algorithm,
                                        java.util.List<Resource> sources,
                                        java.lang.String submissionBackend,
                                        java.lang.String executionEnvironment,
                                        java.lang.String backendUrl,
                                        java.util.HashMap<java.lang.String,java.lang.String> configuration,
                                        int partitionsNumber,
                                        java.lang.String author,
                                        java.util.ArrayList<Field> additionalParams,
                                        HSPECGroupWorker worker)
                                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getAdditionalParameters

    public java.util.ArrayList<Field> getAdditionalParameters()

### getLogic

    public LogicType getLogic()

### getAlgorithm

    public AlgorithmType getAlgorithm()

### getSources

    public java.util.HashMap<ResourceType,java.util.List<Resource>> getSources()

### getSubmissionBackend

    public java.lang.String getSubmissionBackend()

### getExecutionEnvironment

    public java.lang.String getExecutionEnvironment()

### getBackendUrl

    public java.lang.String getBackendUrl()

### getConfiguration

    public java.util.HashMap<java.lang.String,java.lang.String> getConfiguration()

### getPartitionsNumber

    public int getPartitionsNumber()

### getAuthor

    public java.lang.String getAuthor()

### getMaxMinHspenTable

    public java.lang.String getMaxMinHspenTable()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### registerGeneratedSourcesCallback

    public abstract void registerGeneratedSourcesCallback(java.util.List<java.lang.String> toRegisterTables)
                                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### notifyError

    public abstract void notifyError(java.lang.Exception e)

### release

    public abstract void release(BatchGeneratorI batch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD